Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364945 - Multi-tenancy - tenant name not renamed in Set group ownership dropdown menu
Summary: Multi-tenancy - tenant name not renamed in Set group ownership dropdown menu
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.7.0
Assignee: Brian McLaughlin
QA Contact: Pavol Kotvan
URL:
Whiteboard: tenant_cfme:ui
Depends On:
Blocks: 1374695
TreeView+ depends on / blocked
 
Reported: 2016-08-08 09:27 UTC by Pavol Kotvan
Modified: 2017-01-12 05:13 UTC (History)
7 users (show)

Fixed In Version: 5.7.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1374695 (view as bug list)
Environment:
Last Closed: 2017-01-11 20:14:41 UTC
Category: Bug
Cloudforms Team: ---


Attachments (Terms of Use)

Comment 2 Harpreet Kataria 2016-08-08 20:15:45 UTC
Pavol,

Can you please provide screenshot of the screen with the issue, i don't see entries with Tenant path in the Select a group drop down on Set Ownership screen for VM/Instance. The only entries i see in Group drop down is list of Groups by their Description. 

Thanks,
~Harpreet

Comment 5 Harpreet Kataria 2016-08-09 13:46:15 UTC
Brian,

On ownership edit screen in the Group drop down we should only show non tenant groups. You can refer to the code that build Access control tree in OPS to see how built in Tenant Groups are eliminated from the tree. Let me know if you have questions.

Thanks,
~Harpreet

Comment 7 CFME Bot 2016-09-06 13:55:53 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/832b50af2f94ab73cc078061cc6cb533e7621f17

commit 832b50af2f94ab73cc078061cc6cb533e7621f17
Author:     Brian McLaughlin <bmclaugh@redhat.com>
AuthorDate: Tue Aug 23 21:08:51 2016 -0400
Commit:     Brian McLaughlin <bmclaugh@redhat.com>
CommitDate: Tue Aug 23 21:10:12 2016 -0400

    Spec tests
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1364945

 .../application_controller/ci_processing_spec.rb           | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

Comment 8 CFME Bot 2016-09-06 13:55:58 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/98f1bec732e5ec57c95f1548fce3c44ff0d57aad

commit 98f1bec732e5ec57c95f1548fce3c44ff0d57aad
Author:     Brian McLaughlin <bmclaugh@redhat.com>
AuthorDate: Tue Aug 23 21:05:56 2016 -0400
Commit:     Brian McLaughlin <bmclaugh@redhat.com>
CommitDate: Tue Aug 23 21:10:12 2016 -0400

    Show non-tenant groups in Set Ownership group dropdown
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1364945

 app/controllers/application_controller/ci_processing.rb | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

Comment 9 CFME Bot 2016-09-06 13:56:04 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/e920d4036fe2789f66521291608e86e986cc2c4a

commit e920d4036fe2789f66521291608e86e986cc2c4a
Author:     Brian McLaughlin <bmclaugh@redhat.com>
AuthorDate: Tue Aug 23 21:56:04 2016 -0400
Commit:     Brian McLaughlin <bmclaugh@redhat.com>
CommitDate: Tue Aug 23 21:56:04 2016 -0400

    address miq-bot feedback
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1364945

 app/controllers/application_controller/ci_processing.rb       | 11 ++++++-----
 spec/controllers/application_controller/ci_processing_spec.rb |  1 -
 2 files changed, 6 insertions(+), 6 deletions(-)

Comment 10 CFME Bot 2016-09-06 13:56:09 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/2cc9de56e058a255217b428ed270bb7d57c8733f

commit 2cc9de56e058a255217b428ed270bb7d57c8733f
Author:     Brian McLaughlin <bmclaugh@redhat.com>
AuthorDate: Tue Aug 30 15:50:56 2016 -0400
Commit:     Brian McLaughlin <bmclaugh@redhat.com>
CommitDate: Tue Aug 30 15:50:56 2016 -0400

    Refactor solution to remove restriction to vm_cloud
    
    Removed test for Tenant descendant strategy due to this method now returning non-tenant groups.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1364945

 .../application_controller/ci_processing.rb        |  8 +------
 .../application_controller/ci_processing_spec.rb   | 28 ++--------------------
 2 files changed, 3 insertions(+), 33 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.